# SendVideoData - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.media / SendVideoData

# SendVideoData

(common) `data class SendVideoData : DataRequest<ContentMessage<VideoContent>>, SendMessageRequest<ContentMessage<VideoContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<VideoContent>>, TextableSendMessageRequest<ContentMessage<VideoContent>>, ThumbedSendMessageRequest<ContentMessage<VideoContent>>, DuratedSendMessageRequest<ContentMessage<VideoContent>>, SizedSendMessageRequest<ContentMessage<VideoContent>>` (source)

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### duration

Duration of media, usually in seconds

`val duration: Long?`

(common)

#### height

`val height: Int?`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<VideoContent>>`

(common)

#### supportStreaming

`val supportStreaming: Boolean?`

(common)

#### text

`val text: String?`

(common)

#### thumb

`val thumb: String?`

(common)

#### video

`val video: String?`

(common)

#### width

`val width: Int?`

### Functions

(common)

#### method

`fun method(): String`